﻿__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript

import sys
import os
import platform
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create user account"

    def createRuntime(self):
        startupInfo = app.landscape.Landscape.getSite().getLocalMachine().getService("redis").getDaemonStartupInfo()

        app.util.runSystem("getent group %s > /dev/null || groupadd %s > /dev/null" % (
                startupInfo.getGroup(), 
                startupInfo.getGroup()), 
            self.log)
        app.util.runSystem("id -u %s  > /dev/null 2>&1 || useradd -d %s -g %s %s > /dev/null 2>&1" % (
                startupInfo.getUser(), 
                self.cfg['REDIS_DATA_DIR'], 
                startupInfo.getGroup(), 
                startupInfo.getUser()), 
            self.log)
